org.apache.mina.http

## Class HttpDecoderState

- java.lang.Object
- - org.apache.mina.http.HttpDecoderState

    public class HttpDecoderState
    extends Object

State of a HTTP decoding for a given session.

Author:
  Apache MINA Project

### Constructor Summary

Constructors
Constructor and Description
`HttpDecoderState()`

### Method Summary

Methods
`ByteBuffer` `getPartial()`
`int` `getRemainingBytes()`
`DecoderState` `getState()`
`void` `setPartial(ByteBuffer partial)`
`void` `setRemainingBytes(int remainingBytes)`
`void` `setState(DecoderState state)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpDecoderState

    public HttpDecoderState()

### Method Detail

#### getState

    public DecoderState getState()

#### setState

    public void setState(DecoderState state)

#### getPartial

    public ByteBuffer getPartial()

#### setPartial

    public void setPartial(ByteBuffer partial)

#### getRemainingBytes

    public int getRemainingBytes()

#### setRemainingBytes

    public void setRemainingBytes(int remainingBytes)